
Redmine - Defect #5435

Select language:zh error 

2010-05-04 11:39 - 文杰 彭

Status: Closed Start date: 2010-05-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

environment

1. Os:windows xp professional sp3 simple chinese

2. ruby:1.9.1p378 (2010-01-10 revision 26273) [i386-mingw32]

3. rails:2.3.5

4. sqlite:sqlitedll-3_6_23_1.zip

5. sqlitegem:sqlite-ruby-2.2.3-mswin32.gem

6. redmine:0.9.3.zip

steps

1. install rubyinstaller-1.9.1-p378-rc2.exe

2. gem install rails

3. gem install sqlite3-ruby

4. unzip sqlite3.dll to ruby\bin

5. unzip redmine:0.9.3.zip to redmine093

6. config database.yml

production:

adapter: sqlite3

database: db/test.db

7. create sqlite db file in redmine093\db

8. rake config/initializers/session_store.rb

9. rake db:migrate RAILS_ENV="production"

10. rake redmine:load_default_data RAILS_ENV="production"

11. error happened，error message:

rake aborted!

can't convert ActiveRecord::RecordInvalid into String

12. rake redmine:load_default_data RAILS_ENV="production" --trace

History

#1 - 2010-05-05 12:42 - 文杰 彭

sqlitegem:sqlite3-ruby-1.2.5-x86-mingw32.gem

#2 - 2010-05-06 10:53 - 文杰 彭

sorry,I used ruby:1.9.1,I changed to ruby 1.8.7,It is all right.Please close this question,thanks.

#3 - 2010-09-06 14:40 - Azamat Hackimov

- Status changed from New to Closed

- Resolution set to Wont fix

Files
